.splashRoot {
  position: absolute;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  z-index: 1;
  display: flex;
  justify-content: center;
  align-items: center;
}

.splashBlur {
  position: absolute;
  background-size: cover;
  background-position: center;
  filter: blur(5rem);
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  z-index: -1;
}

.splash {
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  width: 50rem;
  max-width: 100vw;
  height: 100%;
}

.splash img {
  width: 70%;
}

.splashContent {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  padding-top: 3rem;
  padding-bottom: 3rem;
  align-items: center;
  height: 100%;
  background: linear-gradient(180deg, rgba(33, 72, 173, 0) 0%, #ad2a21 100%);
  text-align: center;
  font-family: 'Bai Jamjuree';
  font-style: normal;
  box-sizing: border-box;
}

.spinnerContainer {
  position: relative;
  width: 77px;
  height: 77px;
  font-weight: bold;
  color: #fff;
  font-size: 1rem;
}

.spinnerContainer > * {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}

.spinner {
  stroke-dasharray: 218;
  stroke-dashoffset: 218;
  transform: scale(-1, 1);
  color: #fff;
  position: absolute;
}

.footer {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 1rem;
  font-size: 1.3rem;
  color: #ffffffad;
  font-weight: 500;
  gap: 1rem;
}

.socials {
  display: flex;
  gap: 1rem;
}

.roadmap {
  display: flex;
  flex-direction: column;
  padding: 1rem;
  padding-top: 1.5rem;
  width: 50rem;
  max-width: 100vw;
  height: 100%;
  background-image: linear-gradient(
      rgba(13, 13, 13, 0.7) 0.1em,
      transparent 0.1em
    ),
    linear-gradient(90deg, rgba(13, 13, 13, 0.7) 0.1em, transparent 0.1em);
  background-size: 5em 5em;
}

.roadmapItems {
  display: flex;
  flex-direction: column;
  gap: 1rem;
  margin-top: 1rem;
}

.roadmapItems > div {
  display: flex;
  align-items: center;
  gap: 0.5rem;
  font-size: 1.3rem;
}

.roadmapItems > div > img {
  width: 2rem;
}

.checkbox {
  background-color: #5a5a5a;
  border: 2px solid #35383e;
  border-radius: 50%;
  width: 1.5rem;
  height: 1.5rem;
}

.checkCircleIcon {
  width: 24px;
  height: 24px;
  background-color: green;
  border-radius: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
}

.checkCircleIcon::after {
  content: '✓';
  color: white;
  font-weight: bold;
}

.progress {
  flex-direction: column;
  display: flex;
  margin-top: 1rem;
  justify-content: space-evenly;
  align-items: center;
  font-size: 1.3rem;
  flex-grow: 1;
  font-size: 2rem;
  font-weight: bold;
}

.circularProgress {
  width: 3rem;
  height: 3rem;
  border: 4px solid indigo;
  border-top: 4px solid transparent;
  border-radius: 50%;
  animation: spin 1s linear infinite;
}

@keyframes spin {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}
